## surf-alggeo 1.0.6%2Bds

=== debian/changelog ===
surf-alggeo (1.0.6+ds-4build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:10:43 +0000

surf-alggeo (1.0.6+ds-4) unstable; urgency=medium

  * Fix Release Critical bug caused by novel but missing dependency
    (Closes: #846450), thanks to Helmut Grohne <helmut@subdivi.de>.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Dec 2016 04:40:20 +0000

surf-alggeo (1.0.6+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #831173), workaround min/max collision
    (thanks to Lucas Nussbaum <lucas@debian.org> for reporting the issue).
  * Debianization:
    - debian/control
      - Standards Version, bump to 3.9.8;
      - Vcs-* headers, secure;
      - correct;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - refresh;
    - debian/patches/:
      - automatic extension, hardden;
      - (internal) clip mode, rationalize;
      - ps2pdf fork, hardden;
      - warning emitted by gcc, attempt to silence;
      - memory leaks and other oddities revealed by valgrind, attempt to fix;
      - drawing parallelization, initiate;
      - clip to rectangle, wipe out in favor of drawing parallelizaton.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 02 Aug 2016 15:40:00 +0000

surf-alggeo (1.0.6+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/patches/:
     - autotools chain:
       - libjepg find and check, harden;
       - GMP find and check, refresh;
     - clip to rectangle, correct important bug;
     - automatic extension, bring to dithered image.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 14 May 2015 12:09:42 +0000

surf-alggeo (1.0.6+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #777132)

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Apr 2015 11:33:01 +0000
