=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://sf.net/surf/surf-(.+)\.tar\.gz \
debian sh debian/repack
